<?php
namespace App\Http\Controllers\Api;
use App\Command\Log;
use App\Models\Carousel;
use App\Models\User;
use app\models\HfPayconfirm;
use App\Models\OrderDivideRecord;
use Illuminate\Http\Request;
use NwVVVS\AdapayCore\AdaPay\Payment;

class OrderDivideRecordController extends BaseController
{
    public function getList(Request $request)
    {
        $type = $request->type ?? 0;
        $page = $request->page ?? 1;
        $limit = $request->limit ?? 10;
        if (!in_array($type, [1, 2, 3])) {
            return $this->JsonResponse('', '参数错误', 201);
        }
        $userObj = $request->user();
        $um_id = ($type == 3) ? $userObj->merchant_id  : $userObj->id;
        $sql = OrderDivideRecord::where(['um_id' => $um_id, 'sh_type' => $type, 'deleted_at' => null]);
        $total = $sql->count();
        $data = [
            'total' => $total,
            'total_page' => ceil($total / $limit),
            'list' => []
        ];
        $listData = $sql->offset(($page - 1) * $limit)->limit($limit)->orderBy('created_at', 'DESC')->get();
        if ($listData->toArray()) {
            foreach ($listData as $kk => $vv) {
                $data['list'][] = [
                    'title' => isset(OrderDivideRecord::COMMISSION_TYPE[$vv->sh_type]) ? OrderDivideRecord::COMMISSION_TYPE[$vv->sh_type] : '',
                    'created_at' => date("Y-m-d H:i:s", strtotime($vv->created_at)),
                    'divide_price' => $vv->divide_price
                ];
            }
        }
        return  $this->JsonResponse($data);
    }

    //手动分账【开发手动调接口修正数据】
    public function manualDivide(Request $request)
    {
        $payment_confirm = new \NwVVVS\AdapaySdk\PaymentConfirm(); //支付确认

        $member_id = $request->member_id ?? 0;//汇付会员id
        $amount = $request->amount;//分账金额·
        $payment_id = $request->payment_id ;//支付记录表中的payment_id
        if (!$amount||!$payment_id) {
            return $this->JsonResponse('', '参数 amount、payment_id 不能为空', 201);
        }

        //参数介绍member_id：汇付会员id，amount：分账金额，fee_flag：是否内扣手续费
        $div_members = ['member_id' => $member_id, 'amount' => sprintf("%.2f", $amount), 'fee_flag' => 'Y'];
        $confirm_amt = $amount;

        # 支付确认参数设置
        $payment_params = array(
            "payment_id" => $payment_id,
            "order_no" => 'payconfirm_' . date("YmdHis") . rand(100000, 999999),
            "confirm_amt" => $amount,
            "description" => "",
            "div_members" => "" //分账参数列表 默认是数组List
        );
        $payment_params['div_members'] = $div_members;
        $payment_params['confirm_amt'] = $confirm_amt;

        Log::addByName('manualDivide手动分账' , $payment_params);

        # 发起支付确认创建
        $payment_confirm->create($payment_params);
        # 对支付确认创建结果进行处理
        if ($payment_confirm->isError()) {
            //失败处理
            Log::addByName('manualDivide手动分账', '支付确认失败：'.$payment_confirm->result);
            $result = $payment_confirm->result;
        } else {
            //成功处理
            Log::addByName('manualDivide手动分账', '支付确认成功:'.$payment_confirm->result);
            $result = $payment_confirm->result;
            if ($result['status'] == 'succeeded') {
                //Log::add('分账成功', ['order_sn' => $order_no]);
                //写入支付确认信息
                (new HfPayconfirm())->add($payment_params, $result['fee_amt']);
            }
        }

        return  $this->JsonResponse([]);
    }
}
